package com.psdc.mapper;
import java.util.List;

import com.psdc.entity.PsdcWarn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;


 /**
 * 设备告警表;(psdc_warn)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2023-4-23
 */
@Mapper
public interface PsdcWarnMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param warnId 主键
     * @return 实例对象
     */
    PsdcWarn queryById(Integer warnId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcWarn 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcWarn> queryAllByLimit(PsdcWarn psdcWarn, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcWarn 查询条件
     * @return 总行数
     */
    long count(PsdcWarn psdcWarn);
    /** 
     * 新增数据
     *
     * @param psdcWarn 实例对象
     * @return 影响行数
     */
    int insert(PsdcWarn psdcWarn);
    /** 
     * 更新数据
     *
     * @param psdcWarn 实例对象
     * @return 影响行数
     */
    int update(PsdcWarn psdcWarn);
    /** 
     * 通过主键删除数据
     *
     * @param warnId 主键
     * @return 影响行数
     */
    int deleteById(Integer warnId);
}